Bug 26795 - Remove the use of jquery.checkboxes plugin from ILL pages
Summary: Remove the use of jquery.checkboxes plugin from ILL pages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26006 26806
  Show dependency treegraph
 
Reported: 2020-10-23 12:19 UTC by Owen Leonard
Modified: 2021-06-14 21:33 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26795: Remove the use of jquery.checkboxes plugin from ILL pages (2.14 KB, patch)
2020-10-23 12:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26795: Remove the use of jquery.checkboxes plugin from ILL pages (2.19 KB, patch)
2020-10-31 21:55 UTC, David Nind
Details | Diff | Splinter Review
Bug 26795: Remove the use of jquery.checkboxes plugin from ILL pages (2.25 KB, patch)
2020-10-31 23:12 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-10-23 12:19:18 UTC
Two ill request pages include the jquery.checkboxes plugin but do not use them. The include should be removed.

- intranet-tmpl/prog/en/modules/ill/ill-requests.tt
- intranet-tmpl/prog/en/modules/members/ill-requests.tt
Comment 1 Owen Leonard 2020-10-23 12:51:01 UTC
Created attachment 112261 [details] [review]
Bug 26795: Remove the use of jquery.checkboxes plugin from ILL pages

This patch removes the inclusion of the jquery.checkboxes plugin from
two staff interface ILL pages where the plugin is unused.

To test you need at least one patron with some ILL requests.

- Apply the patch and locate a patron with ILL requests.
- Click the "ILL requests history" tab.
- Confirm that the table of requests has no checkboxes.
- Choose "Ill requests" from the "More" menu in the header.
- Confirm that the table of requests has no checkboxes.
Comment 2 David Nind 2020-10-31 21:55:56 UTC
Created attachment 112769 [details] [review]
Bug 26795: Remove the use of jquery.checkboxes plugin from ILL pages

This patch removes the inclusion of the jquery.checkboxes plugin from
two staff interface ILL pages where the plugin is unused.

To test you need at least one patron with some ILL requests.

- Apply the patch and locate a patron with ILL requests.
- Click the "ILL requests history" tab.
- Confirm that the table of requests has no checkboxes.
- Choose "Ill requests" from the "More" menu in the header.
- Confirm that the table of requests has no checkboxes.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2020-10-31 22:08:19 UTC
Testing notes: See https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=26758#c3 for how to setup ILL.
Comment 4 Katrin Fischer 2020-10-31 23:12:10 UTC
Created attachment 112770 [details] [review]
Bug 26795: Remove the use of jquery.checkboxes plugin from ILL pages

This patch removes the inclusion of the jquery.checkboxes plugin from
two staff interface ILL pages where the plugin is unused.

To test you need at least one patron with some ILL requests.

- Apply the patch and locate a patron with ILL requests.
- Click the "ILL requests history" tab.
- Confirm that the table of requests has no checkboxes.
- Choose "Ill requests" from the "More" menu in the header.
- Confirm that the table of requests has no checkboxes.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-11-03 09:59:24 UTC
Pushed to master for 20.11, thanks to everybody involved!